%define name gxine
%define version 0.5.7
%define release %mkrel 1
%define xinever 1-0.beta10.1mdk
%define fname %name-%version

Summary: GTK+ frontend for the Xine multimedia player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xine/%{fname}.tar.bz2
Patch: gxine-0.3.3-no-gnome-mime-registration.patch.bz2
License: GPL
Group: Video
URL: http://xine.sf.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xine-plugins >= %xinever
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: libxine-devel >= %xinever
BuildRequires: libgtk+2.0-devel
BuildRequires: libxaw-devel
BuildRequires: liblirc-devel
BuildRequires: libjs-devel
BuildRequires: desktop-file-utils

%description
This is a graphical frontend for Xine based on the GTK+ toolkit.

%package mozilla
Summary: Xine video player plugin for Mozilla
Group: Video
Requires: %name = %version

%description mozilla
This is a video player plugin for Mozilla and compatible web browsers
based on the Xine engine.

%prep
%setup -q -n %fname
%patch -p1

%build
export LDFLAGS="-L%_prefix/X11R6/lib"
%configure2_5x --disable-integration-wizard
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -f %buildroot/%_libdir/gxine/*a
mkdir -p %buildroot/%_libdir/mozilla/plugins
mv %buildroot/%_libdir/gxine/gxineplugin.so %buildroot/%_libdir/mozilla/plugins
%find_lang %name
%find_lang %name.theme
cat %name.theme.lang >> %name.lang
mkdir -p %buildroot%{_menudir}/
cat > %buildroot%{_menudir}/%{name} <<EOF 
?package(%name):command="%{_bindir}/%name" title="Gxine" longtitle="Xine Video Player" needs="X11" section="Multimedia/Video" icon="video_section.png" mimetypes="video/dv,video/mpeg,video/msvideo,video/quicktime,video/x-anim,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,video/x-nsv,video/x-flc,video/x-fli,application/ogg,application/x-ogg,audio/basic,audio/x-mp3,audio/x-mpeg,audio/mpeg,audio/x-wav,audio/x-mpegurl,audio/x-scpls,audio/x-m4a,audio/x-ms-asf,audio/x-ms-asx,audio/x-ms-wax,application/vnd.rn-realmedia,audio/x-real-audio,audio/x-pn-realaudio,application/x-flac,audio/x-flac,misc/ultravox,application/x-matroska" accept_url="true" multiple_files="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Video;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%_bindir/gxine
%_bindir/gxine_client
%{_datadir}/applications/gxine.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gxine/
%{_datadir}/man/man1/gxine.1.bz2
%{_datadir}/man/man1/gxine_client.1.bz2
%{_datadir}/icons/hicolor/48x48/apps/gxine.png
%lang(de) %{_datadir}/man/de/man1/gxine.1.bz2
%lang(de) %{_datadir}/man/de/man1/gxine_client.1.bz2
%_menudir/%name

%files mozilla
%defattr(-,root,root)
%_libdir/mozilla/plugins/gxineplugin.so

%changelog
* Wed Jul 05 2006 Götz Waschk <waschk@mandriva.org> 0.5.7-1mdv2007.0
- New release 0.5.7

* Mon Jul  3 2006 Gtz Waschk <waschk@mandriva.org> 0.5.6-2mdv2007.0
- xdg menu
- fix buildrequires

* Sun Apr 30 2006 Götz Waschk <waschk@mandriva.org> 0.5.6-1mdk
- New release 0.5.6

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdk
- New release 0.5.5

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.5.4-1mdk
- New release 0.5.4

* Sun Dec 25 2005 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdk
- New release 0.5.3

* Wed Dec 21 2005 Gtz Waschk <waschk@mandriva.org> 0.5.2-1mdk
- drop patch 1
- New release 0.5.2
- use mkrel

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 0.5.1-2mdk
- fix menu location

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- update file list
- patch for libjs detection
- drop patch 1
- New release 0.5.1

* Sun Oct 30 2005 Gtz Waschk <waschk@mandriva.org> 0.5.0-2mdk
- hmm, link with libjs

* Sun Oct 30 2005 Gtz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- update file list
- drop patch 1
- enable js
- New release 0.5.0

* Mon Oct 17 2005 Götz Waschk <waschk@mandriva.org> 0.4.9-1mdk
- New release 0.4.9

* Mon Sep 12 2005 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdk
- New release 0.4.8

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdk
- New release 0.4.7

* Mon Jul 18 2005 Gtz Waschk <waschk@mandriva.org> 0.4.6-1mdk
- update file list
- New release 0.4.6

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.4.5-2mdk
- move mozilla plugin to a separate package (Austin)

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.4.5-1mdk
- New release 0.4.5

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Mon Mar 28 2005 Götz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- New release 0.4.3

* Wed Mar  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- patch to fix build
- disable the wizard again
- New release 0.4.2

* Fri Dec 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- update file list
- source URL
- New release 0.4.1

* Sun Dec 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- new version

* Sun Nov 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-0.rc2.1mdk
- update file list
- new version

* Fri Nov 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-0.rc1.1mdk
- fix file list
- drop patch 1
- new version

* Thu Nov 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-5mdk
- fix build
- fix mime types in the menu
- security fix for a buffer overflow

* Mon Aug 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-4mdk
- add more mime types to the menu entry
- disable gnome mime registration wizard (bug #11084)

* Fri May 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-3mdk
- drop prefix
- fix buildrequires

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-2mdk
- fix distriblint warning

* Thu Apr 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-1mdk
- move the mozilla plugin to the right dir
- requires latest xine libs
- new version	

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- initial package
